Bug 146002 - mail/fetchmail is unable to access to a pop server using apop
Summary: mail/fetchmail is unable to access to a pop server using apop
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sylvio Cesar Teixeira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-23 22:10 UTC by mkgt00@gmail.com
Modified: 2010-05-23 23:06 UTC (History)
0 users

See Also:


Attachments
patch.txt (282 bytes, text/plain)
2010-04-24 01:36 UTC, mkgt00@gmail.com
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mkgt00@gmail.com 2010-04-23 22:10:03 UTC
After mail/fetchmail has updated to 6.3.16 om my -current box,
I was unable to login to my pop3 server using APOP.

I found that the fetchmail linked the libmd5.so, which was installed
with www/libwww, and it caused the problem.

Fix: 

The libmd5.so, which was installed with www/libwww, was linked to the fetchmail, and it caused the problem. Linking the libmd.so included in the base system fixes the problem.
How-To-Repeat: # portmaster www/libwww
# portmaster mail/fetchmail

run fetchmail with apop access.
Comment 1 Edwin Groothuis freebsd_committer 2010-04-23 22:10:11 UTC
Maintainer of mail/fetchmail,

Please note that PR ports/146002 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146002

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-04-23 22:10:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 mkgt00@gmail.com 2010-04-24 01:36:13 UTC
Sorry, I seem to have forgotten to attach a patch.

-- 
mkgt00@gmail.com
Comment 4 Sylvio Cesar Teixeira freebsd_committer 2010-05-09 15:39:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sylvio

I'll take it.
Comment 5 dfilter service freebsd_committer 2010-05-23 15:40:28 UTC
sylvio      2010-05-23 14:40:19 UTC

  FreeBSD ports repository

  Added files:
    mail/fetchmail/files patch-configure 
  Log:
  - Fix when run fetchmail with apop access.
  
  PR:             ports/146002
  Submitted by:   mkgt00@gmail.com
  Approved by:    maintainer (timeout > 14days)
  
  Revision  Changes    Path
  1.10      +11 -0     ports/mail/fetchmail/files/patch-configure (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Sylvio Cesar Teixeira freebsd_committer 2010-05-23 15:40:38 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!